Add new test solr spellcheck test. Not added to dist test for now.
authorDennis Schafroth <dennis@indexdata.com>
Tue, 1 Nov 2011 12:50:59 +0000 (13:50 +0100)
committerDennis Schafroth <dennis@indexdata.com>
Tue, 1 Nov 2011 12:50:59 +0000 (13:50 +0100)
test/test_solr_spell.sh [new file with mode: 0755]

diff --git a/test/test_solr_spell.sh b/test/test_solr_spell.sh
new file mode 100755 (executable)
index 0000000..6f2961f
--- /dev/null
@@ -0,0 +1,28 @@
+#!/bin/sh
+
+# srcdir might be set by make
+srcdir=${srcdir:-"."}
+
+#TODO set up solr target. For now use donut 
+#F=../solr/client.sh 
+#
+#rm -f solr.pid
+#$F -l solr.log -p ztest.pid -D @:9999
+#sleep 1
+#if test ! -f ztest.pid; then
+#    echo "yaz-ztest could not be started"
+#    exit 0
+#fi
+
+${srcdir}/run_pazpar2.sh test_solr_spell
+E=$?
+
+#kill `cat ztest.pid`
+#rm ztest.pid
+exit $E
+
+# Local Variables:
+# mode:shell-script
+# sh-indentation: 2
+# sh-basic-offset: 4
+# End: